#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class BinSortProcess:
		public Process
	{
	public:
		BinSortProcess(unsigned bin_size):
			binSize(bin_size)
				{}
		BinSortProcess(Stuff::NotationFile *data_file);

		virtual void
			BinSortCallback(GenericProxy* proxy)
				{}

		unsigned
			binSize;
	};

}
